#include <zaf.hpp>
#include <cfz_zcht.h>

const int NUM_POINTS = 10;

double	SET1[ NUM_POINTS ] = { 20, 10, 20, 10, 20, 10, 20, 10, 20, 10 };
double	SET2[ NUM_POINTS ] = { 20, 18, 14,  2, 14, 37, 35, 30, 24, 23 };
double	SET3[ NUM_POINTS ] = { 33, 30, 27, 24, 21, 18, 15, 12,  9,  6 };
double	SET4[ NUM_POINTS ] = { 20, 15, 10, 12, 14, 20, 24, 28, 30, 32 };
double	SET5[ NUM_POINTS ] = { 16, 15, 23, 17, 24, 20, 18, 13, 28, 16 };


class ChartWindow
		: public ZafWindow
{
  public:
    ChartWindow();
    void    AddChartData( cf_ChartModel *p_cmTarget );
};


ChartWindow
	::ChartWindow()
		: ZafWindow( 10, 10, 50, 10 )
{
    // Make a typical Zinc ZAF v5.x Window:
	SetStringID( "CFWindow" );
	Add( new ZafBorder );
	Add( new ZafMaximizeButton );
	Add( new ZafMinimizeButton );
	Add( new ZafSystemButton );
	Add( new ZafTitle ( new ZafStringData ( "ChartFolio Test" ) ) );

    // Now let's add a Chart to our Window:
	ZafChart *p_zcUserChart = new ZafChart( 0, 0, 0, 0,
                                            CF_ID_LINE_2D,
                                            CF_ID_YVALS_ON_NAT_NS );
                                            // ChartFolio IDs defined in file:
                                            // ~/cfol_zaf/api/res/id_chart.h
    Add( p_zcUserChart );
    p_zcUserChart->SetRegionType( ZAF_AVAILABLE_REGION );

    // Stuff data into the ZafChart's chat-model:
	AddChartData( p_zcUserChart->ActiveModel() );
            // ...using a pointer to the chart-model encapsulated
            // within our ZafChart model/view configuration.
            // The use of methods like this is detailed in
            // the class specification of cf_ChartModel
}

void
	ChartWindow
       	::AddChartData( cf_ChartModel *p_cmTarget )
{
	int				i,j;
    double          *p_dTargetArray = &SET1[ 0 ];

    for ( i = 1; i <= 5; i++ )
    {
        // Iterate through the target data array/pointer addresses:
        if ( i == 2 ) p_dTargetArray = &SET2[ 0 ];
        if ( i == 3 ) p_dTargetArray = &SET3[ 0 ];
        if ( i == 4 ) p_dTargetArray = &SET4[ 0 ];
        if ( i == 5 ) p_dTargetArray = &SET5[ 0 ];

        // Activate the appropriate data group:
	    p_cmTarget->activateGroup( i );

        // Add data points into the active data group:
    	for ( j = 0; j < NUM_POINTS; j++ )
        {
		    p_cmTarget->addDataYVal( *p_dTargetArray );
            p_dTargetArray++;
        }
    }
}


ZafApplication
    ::Main()
{
	zafWindowManager->Add( new ChartWindow );
    Control();
	return( 0 );
}



