# ----- General -------------------------------------------------------------
DEBUG=off

# ----- Usage ---------------------------------------------------------------
usage:
	@type <<

Usage:

zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
<<

# ----- Clean ---------------------------------------------------------------
clean:
	del *.ob1
	del *.obw
	del *.exe

# ----- Platforms -----------------------------------------------------------
win16: area16.exe bar16.exe column16.exe line16.exe pie16.exe point16.exe stack16.exe

win32: area32.exe bar32.exe column32.exe line32.exe pie32.exe point32.exe stack32.exe

win32dll: area.exe bar.exe column.exe line.exe pie.exe point.exe stack.exe

# ----- Targets -------------------------------------------------------------

#
# Build options for area16.exe
#
TARGET=area16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=area_cht.cpp
ADD_LIBRARIES=cfzw16
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for bar16.exe
#
TARGET=bar16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=bar_cht.cpp
ADD_LIBRARIES=cfzw16
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for column16.exe
#
TARGET=column16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=colm_cht.cpp
ADD_LIBRARIES=cfzw16
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for line16.exe
#
TARGET=line16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=line_cht.cpp
ADD_LIBRARIES=cfzw16
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for pie16.exe
#
TARGET=pie16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=pie_cht.cpp
ADD_LIBRARIES=cfzw16
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for point16.exe
#
TARGET=point16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=pnt_cht.cpp
ADD_LIBRARIES=cfzw16
DEFINITION_FILE=win16.def   
!include <zaf.mak>

#
# Build options for stack16.exe
#
TARGET=stack16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=stk_cht.cpp
ADD_LIBRARIES=cfzw16
DEFINITION_FILE=win16.def
!include <zaf.mak>





#
# Build options for area32.exe
#
TARGET=area32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=area_cht.cpp
ADD_LIBRARIES=cfzw32
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for bar32.exe
#
TARGET=bar32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=bar_cht.cpp
ADD_LIBRARIES=cfzw32
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for column32.exe
#
TARGET=column32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=colm_cht.cpp
ADD_LIBRARIES=cfzw32
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for line32.exe
#
TARGET=line32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=line_cht.cpp
ADD_LIBRARIES=cfzw32
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for pie32.exe
#
TARGET=pie32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=pie_cht.cpp
ADD_LIBRARIES=cfzw32
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for point32.exe
#
TARGET=point32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=pnt_cht.cpp
ADD_LIBRARIES=cfzw32
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for stack32.exe
#
TARGET=stack32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=stk_cht.cpp
ADD_LIBRARIES=cfzw32
DEFINITION_FILE=
!include <zaf.mak>





#
# Build options for pie.exe
#
TARGET=pie.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=pie_cht.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for pie.exe
#
TARGET=pie.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=pie_cht.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for pie.exe
#
TARGET=pie.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=pie_cht.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for pie.exe
#
TARGET=pie.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=pie_cht.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for pie.exe
#
TARGET=pie.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=pie_cht.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for point.exe
#
TARGET=point.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=pnt_cht.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for stack.exe
#
TARGET=stack.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=stk_cht.cpp
ADD_LIBRARIES=cfzw32
DEFINITION_FILE=
!include <zaf.mak>

