//////////////////////////////////////
// START of File: CE1_CCOR.HPP
//////////////////////////////////////
                    
#ifndef CE1_CCOR_HPP            // Avoid multiple includes...
#define CE1_CCOR_HPP    TRUE    // ...holds to a terminal #endif below...

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved. 
//
// See files "cf_copyr.txt" and "cf_licen.txt" for details of 
// copyright and license specifications, and contact information.
//
//===================================================================

//
// Master Header File Listing:
//
// #include    <api/include/ce1_ccor.hpp>
//
// "Cartesian (XYZ) Coordinate" Chart Engine object 
// (derived from base "Chart-Engine").
//

//--------------------------------------------------------------------
// Include Chart Framework class or ID defs/headers this file needs.
// Paths are relative to the IDE's (global) include path: ~/cfrz
//--------------------------------------------------------------------
class       bf_Display;
class       cf_3DPoint;
class       cf_ChartModel;
class       cf_ChartEngine;
#include    <cf_api/c1_engin.hpp>
            // which pulls in the classes above...

//
// Declare a "Cartesian (XYZ) Coord Engine" object:
//
// Class cf_eng_CartXYZ models a Cartesian (XYZ) Coordinate Chart 
// which will be used to produce derived Bar, Column, Stack, Point-
// Series, Line, Area, Ribbon, Charts, etc.
//
class   cf_eng_CartXYZ : 
        public 
        cf_ChartEngine 
{

public:

    cf_eng_CartXYZ( cf_ChartModel   *p_cf_cmodlOwner,
                    int             iChartTypeID,
                    int             iIndexMethodID
                                    = CF_ID_YVALS_ON_NAT_NS );
                                    // Refer to "Index Method" ID 
                                    // specs in base class method
                                    // cf_ChartEngine::indexMethod()

    virtual         ~cf_eng_CartXYZ();

    virtual void    applyVirtScalings();
    virtual void    applyVirtTranslations();
       
    virtual void    calcVirtScaleFactors(); 
    virtual void    calcVirtTransFactors(); 
                          
    virtual void    configOrigins();
              
    virtual void    draw2D( bf_Display *p_bf_dspFromChartView );
       
    virtual void    draw3D( bf_Display *p_bf_dspFromChartView );
       
    virtual void    measureDataMinMax();
    virtual void    measureVirtMinMax(); 
                    // over-ridden from base class implementation
                    // to measure typical x,y, and z data-ranges
                    // This re-defined virtual methods are OFTEN 
                    // over-ridden in classes derived from this
                    // class...

    virtual void    updateFromCurrentModel();
       
protected:

    virtual void    initGridTickSeries();

    virtual void    updateAxisGridTickSeries();

    virtual void    updateAxisRangeBufferPoints();
                    // Implements axis range-buffering 
                    // by adding "invisible 3D-points"
private:


};  //
    // End of cf_eng_CartXYZ declaration.
    //

#endif      // Terminates include re-definition protection

//////////////////////////////////////
// END of File: CE1_CCOR.HPP
//////////////////////////////////////

            