//////////////////////////////////////
// START of File: CE2_BAR.HPP
//////////////////////////////////////

#ifndef CE2_BAR_HPP         // Avoid multiple includes...
#define CE2_BAR_HPP TRUE    // ...holds to a terminal #endif below...

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved. 
//
// See files "cf_copyr.txt" and "cf_licen.txt" for details of 
// copyright and license specifications, and contact information.
//
//===================================================================

//
// Master Header File Listing:
//
// #include    <cf_api/ce2_bar.hpp>
// Class cf_eng_Bar2D builds a "flat" 2D Bar Chart from 2D Polygons:
//

//--------------------------------------------------------------------
// Include Chart Framework class or ID defs/headers this file needs.
// Paths are relative to the IDE's (global) include path: ~/cfrz
//--------------------------------------------------------------------
class       cf_ChartModel;
class       cf_ChartEngine; 
class       cf_eng_CartXYZ;
#include    <cf_api/ce1_ccor.hpp>
            // We'll be using MANY base-class methods!...

class   cf_eng_Bar2D : 
        public 
        cf_eng_CartXYZ 
{

public:

    cf_eng_Bar2D(   cf_ChartModel   *p_cf_cmodlOwner,
                    int             iIndexMethodID
                                    = CF_ID_YVALS_ON_NAT_NS );
                                    // Refer to "Index Method" ID 
                                    // specs in base class method
                                    // cf_ChartEngine::indexMethod()

    virtual         ~cf_eng_Bar2D();
                    // Virtual d-tor is critical, since owner
                    // object uses pointers to *base* type !

protected:

    virtual void    initGridTickSeries();
                    // We'll want to over-ride the base class'es
                    // grid/tick/series setup to switch our domain
                    // axis to the Y axis, and our range axes 
                    // to the X-axis!

    virtual void    measureDataMinMax();
                    // We'll want to over-ride the base class'es
                    // implementation of data-range measurement
                    // to SWAP the X and Y data ranges, etc...

    virtual void    updateAxisRangeBufferPoints();
                    // We'll want to over-ride the base class'es
                    // implementation of axis range-buffering 
                    // to buffer along the X-axis, NOT the Y-Axis!

    virtual void    updateYValsOnNatNs();
                    // CENTERS Bars on "Natural Number" Index 
                    // Values (e.g. 1, 2, 3, .. N).
                    
    virtual void    updateYValsAtIntIs();
                    // STARTS Bars on "Integer Number" Index 
                    // Values (e.g. 0, 1, 2, .. I).

};  // End of cf_eng_Bar2D declaration.

#endif      // Terminates include re-definition protection

//////////////////////////////////////
// END of File: CE2_BAR.HPP
//////////////////////////////////////


            