//////////////////////////////////////
// START of File: CE2_COLM.HPP
//////////////////////////////////////

#ifndef CE2_COLM_HPP			// Avoid multiple includes...
#define CE2_COLM_HPP	TRUE	// ...holds to a terminal #endif below...

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved. 
//
// See files "cf_copyr.txt" and "cf_licen.txt" for details of 
// copyright and license specifications, and contact information.
//
//===================================================================

//
// Master Header File Listing:
//
// #include    <cf_api/ce2_colm.hpp>
// Class cf_eng_Col2D builds a "flat" 2D Column Chart from 2D Polygons:
//

//--------------------------------------------------------------------
// Include Chart Framework class or ID defs/headers this file needs.
// Paths are relative to the IDE's (global) include path: ~/cfrz
//--------------------------------------------------------------------
class		cf_ChartModel;
class		cf_ChartEngine;	
class		cf_eng_CartXYZ;
#include    <cf_api/ce1_ccor.hpp>
			// We'll be using MANY base-class methods!...

class	cf_eng_Col2D : 
		public 
		cf_eng_CartXYZ 
{

public:

	cf_eng_Col2D(	cf_ChartModel	*p_cf_cmodlOwner,
					int				iIndexMethodID
									= CF_ID_YVALS_ON_NAT_NS );
									// Refer to "Index Method" ID 
									// specs in base class method
									// cf_ChartEngine::indexMethod()

	virtual			~cf_eng_Col2D();
					// Virtual d-tor is critical, since owner
					// object uses pointers to *base* type !

protected:
      
	virtual void	updateYValsOnNatNs();
					// CENTERS Columns on "Natural Number" Index 
					// Values (e.g. 1, 2, 3, .. N).
					
	virtual void	updateYValsAtIntIs();
					// STARTS Columns on "Integer Number" Index 
					// Values (e.g. 0, 1, 2, .. I).

};	// End of cf_eng_Col2D declaration.

#endif		// Terminates include re-definition protection

//////////////////////////////////////
// END of File: CE2_COLM.HPP
//////////////////////////////////////


			