//////////////////////////////////////
// START of File: ID_CHART.H
//////////////////////////////////////

#ifndef ID_CHART_H          // Avoid multiple #includes...
#define ID_CHART_H  TRUE    // ...holds to a terminal #endif below...

//================================================================
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved. 
//
// See files "pt_copyr.h" and "pt_licen.h" for details of 
// copyright and license specifications, and contact information.
//================================================================

//---------------------------------------------------------
//#include "id_chart.h" 
//
// Defines "Chart IDs", which will be shared among Chart 
// ID Types, Icon IDs, Bitmap IDs, etc..
//---------------------------------------------------------

//-------------------------------------
// Chart "Base-To-Derived" Type IDs:
//-------------------------------------
#define CF_ID_BASE_CHART        1999
#define CF_ID_POLAR_CHART       2000
#define CF_ID_CARTESIAN_CHART   3000
#define CF_ID_COMBO_CHART       4000
#define CF_ID_CUSTOM_CHART      5000

//-----------------------------------------------
// Index Method IDs -- used by ALL Chart Types:                  
//-----------------------------------------------
#define CF_ID_YVALS_ON_NAT_NS   2001
        // "Natural (counting) Numbers"; e.g: n = 1, 2, 3, .. N.  
        // The DEFAULT Indexing Method !!!
                
#define CF_ID_YVALS_AT_INT_IS   2002    
        // "(non-negative) Integer Numbers"; e.g: i = 0, 1, 2, .. I.
        
#define CF_ID_YVALS_AT_USR_XS   2003    
        // "User Real Number index values" e.g. x = 2.3, 10.2 .. X.  


//--------------------------
// Specific Chart Type IDs:
//--------------------------

// Polar Chart IDs:
#define CF_ID_PIE               2100    // defaults to 2D
#define CF_ID_PIE_2D            2110
#define CF_ID_PIE_3D            2120
                                
// Cartesian Coordinate Chart IDs:
#define CF_ID_BAR               3100    // defaults to 2D
#define CF_ID_BAR_2D            3110
#define CF_ID_BAR_3D            3120

#define CF_ID_COL               3200    // defaults to 2D
#define CF_ID_COL_2D            3210
#define CF_ID_COL_3D            3220

#define CF_ID_STACK             3300    // defaults to 2D
#define CF_ID_STACK_2D          3310
#define CF_ID_STACK_3D          3320

#define CF_ID_POINTS            3400    // defaults to 2D
#define CF_ID_POINTS_2D         3410
#define CF_ID_POINTS_3D         3420
        // Note that this is a (regular) "point series",
        // NOT a "scatter-plot"!  (Scatter plots will be
        // available via "CF_ID_SCAT" IDs.)

#define CF_ID_LINE              3500    // defaults to 2D
#define CF_ID_LINE_2D           3510
#define CF_ID_LINE_3D           3520

#define CF_ID_AREA              3600    // defaults to 2D
#define CF_ID_AREA_2D           3610
#define CF_ID_AREA_3D           3620

#define CF_ID_RIBBON            3700    // defaults to 3D !
#define CF_ID_RIBBON_2D         3710
#define CF_ID_RIBBON_3D         3720

#endif      // Terminates #include re-definition protection

//////////////////////////////////////
// END of File: ID_CHART.H
//////////////////////////////////////  


