//////////////////////////////////////
// START of File: B0_DSPLA.CPP
//////////////////////////////////////

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved. 
//
// See files "cf_copyr.h" and "cf_licen.h" for details of 
// copyright and license specifications, and contact information.
//
//===================================================================

/*
 *	b0_dspla.cpp -- Zinc version
 */
#include    <cf_api/b0_dspla.hpp>
#include    <cf_api/b1_cview.hpp> 

#include    <cf_api/cf_const.h>
            // Which defines minimum-limits for double vals, etc.

#include    <math.h>

//#include	<cf_api/b0_debug.hpp>

//
// Map the Chart  Framework "Base Framework Display Pen" Object onto
// the Underlying Framework's "Base Framework Display Pen" object:
//
bf_Pen::
    bf_Pen( bf_Color bf_clrUseThisColor )
{
	color_ = bf_clrUseThisColor;
	pen_style_ = CF_PS_SOLID;
	width_ = 1;
}





bf_Pen::
    bf_Pen(    bf_Color       bf_clrUseThisColor,
                bf_PenStyle    bf_pstyUseThisStyle,
                int             iWidth )
{
	color_ = bf_clrUseThisColor;
	pen_style_ = bf_pstyUseThisStyle;
	width_ = iWidth;
}





bf_Pen::
    ~bf_Pen() 
{
}





//
// End of bf_Pen Pseudo-Implementation/Mapping.
//




//
// Map the Chart  Framework "Base Framework Display Brush" Object onto
// the Underlying Framework's "Base Framework Display Brush" object:
//
bf_Brush::
    bf_Brush( bf_Color bf_clrUseThisColor )
{
	color_ = bf_clrUseThisColor;
}





bf_Brush::
    bf_Brush(  bf_Color       bf_clrUseThisColor,
                bf_BrushHatch  /* bf_bhatUseThisHatching */ )
{
	color_ = bf_clrUseThisColor;
}





bf_Brush::
    ~bf_Brush()
        {}

//
// End of bf_Brush Pseudo-Implementation/Mapping.
//


//
// Map the Chart  Framework "Base Framework Display Logical Font Dimension"
// Object onto the Underlying Framework's "Logical
// Display/Print Point Dimension" object:
//
bf_DispLogFontDim::
    bf_DispLogFontDim()
{
}





bf_DispLogFontDim::
    bf_DispLogFontDim( int /* iWidth */,
                        int /* jHeight */,
                        bf_Display * /* p_bf_dspUseThisDisplay */ )
            {}





bf_DispLogFontDim::
    ~bf_DispLogFontDim()
{
}





//
// End of bf_DispLogFontDim Pseudo-Implementation/Mapping.
//


//
// Map the Chart  Framework "Chart Display Context" Object
// onto the Underlying Display Context object:
//
bf_Display::
        bf_Display (ZafDisplay* zdisplay, ZafWindowObject* view)
{
	zdisplay_ = zdisplay;
	view_ = view;

	//
	//	Set up default attributes
	//

	dsp_pushPen (new bf_Pen (bf_Color (ZAF_CLR_BLACK)));
	dsp_pushBrush (new bf_Brush (bf_Color (ZAF_CLR_WHITE)));
	curr_width_ = 1;
}





bf_Display::
        ~bf_Display()
            {}


//
// The Chart  Framework kernel makes the following calls
// into this class bf_Display, which must be mapped
// onto the underlying class application framework:
//
BOOL
    bf_Display
        ::dsp_devToLog( cf_2DRect &r )
{
    // Map AFTER establishing a proper DEVICE coordinate context!
	ZafRegionStruct		zrsConvertRegion;

    zrsConvertRegion.coordinateType = ZAF_PIXEL;
	zrsConvertRegion.left = r.left();
	zrsConvertRegion.top = r.top();
	zrsConvertRegion.right = r.right();
	zrsConvertRegion.bottom = r.bottom();

    /*{   // Uncomment for debugging:
	    sprintf (buff, "display: log:   %d %d %d %d",
        dev_region.left, dev_region.top, dev_region.right, dev_region.bottom);
	    b0_debug (buff);
    }*/

    // Convert the region and reset the ref-param:
    zrsConvertRegion.ConvertCoordinates( ZAF_TWIPS );
	r = cf_2DRect( zrsConvertRegion.left, zrsConvertRegion.top,
					zrsConvertRegion.right, zrsConvertRegion.bottom);

    /*{   // Uncomment for debugging:
        sprintf( buff, "display: twips: %d %d %d %d",
        log_region.left, log_region.top, log_region.right, log_region.bottom);
	    b0_debug (buff);
    }*/

	return( TRUE );
}





void
    bf_Display
        ::dsp_getVisible( cf_2DRect &r )
{
 	ZafRegionStruct	 visible = view_->ConvertToDrawRegion( view_ );

	r = cf_2DRect ( visible.left, visible.top, visible.right,
					visible.bottom);
}





void    bf_Display::
        dsp_lock()
{
}





BOOL
    bf_Display
        ::dsp_logToDev( cf_2DRect& r  )
{
    // Map AFTER establishing a proper LOGICAL coordinate context!
	ZafRegionStruct	 zrsConvertRegion;

    zrsConvertRegion.coordinateType = ZAF_TWIPS;
	zrsConvertRegion.left = r.left();
	zrsConvertRegion.top = r.top();
	zrsConvertRegion.right = r.right();
	zrsConvertRegion.bottom = r.bottom();

    // Convert the region and reset the ref-param:
    zrsConvertRegion.ConvertCoordinates( ZAF_PIXEL );
	r = cf_2DRect( zrsConvertRegion.left, zrsConvertRegion.top,
					zrsConvertRegion.right, zrsConvertRegion.bottom);

    // Note that re-usable debug lines exist in the dsp_DevToLog method
	return( TRUE );
}





void    bf_Display::
        dsp_unlock()
{
}





//
// The bf_Object-derived classes such as bf_Point
// extend the set of display-oriented calls that
// must be mapped onto the base framework's display
// functionality:
//
void
	bf_Display::
        dsp_pushBrush (bf_Brush* brush)
{
	setBrushAttributes (brush);
	brushes_.push (brush);
}





void
    bf_Display
        ::dsp_pushBrush (bf_Color color)
{
	bf_Brush*	new_brush = new bf_Brush (color);


	setBrushAttributes (new_brush);
	brushes_.push (new_brush);
}





void
	bf_Display::
        dsp_pushPen (bf_Pen* pen)
{
	setPenAttributes (pen);
	pens_.push (pen);
}





void
    bf_Display
        ::dsp_pushPen (bf_Color color)
{
	bf_Pen*		new_pen = new bf_Pen (color);


	setPenAttributes (new_pen);
	pens_.push (new_pen);
}





BOOL
	bf_Display::
        dsp_circle( cf_2DPoint     center_pt,
                    int             radius )
{
	zdisplay_ -> Ellipse (
		center_pt.x () - radius,
		center_pt.y () - radius,
		center_pt.x () + radius,
		center_pt.y () + radius,
		0, 360, curr_width_, true);
	return (true);
}





bf_Color
	bf_Display::
        dsp_pixel(  int         /* iX */,
                    int         /* iY */)
{
	return (* new  bf_Color);
}





bf_Color
        bf_Display::
        dsp_pixel(  int         /* iX */,
                    int         /* iY */,
                    bf_Color   bf_clrUseThisColor )
{
	return (bf_clrUseThisColor);
}





bf_Color
	bf_Display::
        dsp_pixel(  cf_2DPoint /* bf_2dpUseThisPoint */ )
{
	return (* new bf_Color);
}





bf_Color
	bf_Display::
        dsp_pixel(  cf_2DPoint     bf_2dpUseThisPoint,
                    bf_Color       bf_clrUseThisColor )
{
	return (bf_clrUseThisColor);
}





bf_Brush*
	bf_Display::
        dsp_popBrush()
{
	bf_Brush*	old_curr = (bf_Brush*) brushes_.pop ();
	bf_Brush*	new_curr = (bf_Brush*) brushes_.top ();


	if (new_curr != NULL)
		setBrushAttributes (new_curr);

	return (old_curr);
}





bf_Pen*
        bf_Display::
        dsp_popPen()
{
	bf_Pen*	old_curr = (bf_Pen*) pens_.pop ();
	bf_Pen*	new_curr = (bf_Pen*) pens_.top ();


	if (new_curr != NULL)
		setPenAttributes (new_curr);

	return (old_curr);
}





//
// The bf_Object-derived classes such as bf_PolyLine
// extend the set of display-oriented calls that
// must be mapped onto the base framework's display
// functionality:
//
BOOL    bf_Display::
        dsp_polyline(   cf_2DPoint*    a_bf_2dpStartFrom,
                        int             iNumPoints )
{
	int		i;


	for (i = 0; i < iNumPoints - 1; i++)
	{
		zdisplay_ -> Line (
			a_bf_2dpStartFrom[i].x (),
			a_bf_2dpStartFrom[i].y (),
			a_bf_2dpStartFrom[i + 1].x (),
			a_bf_2dpStartFrom[i + 1].y (),
			curr_width_
			);
		/*sprintf (buff, "display polyline: %d %d %d %d",
			a_bf_2dpStartFrom[i].x (),
			a_bf_2dpStartFrom[i].y (),
			a_bf_2dpStartFrom[i + 1].x (),
			a_bf_2dpStartFrom[i + 1].y ());
		b0_debug (buff);*/
	}

	return (true);
}





//
// The bf_Object-derived classes such as bf_Polygon
// extend the set of display-oriented calls that
// must be mapped onto the base framework's display
// functionality:
//
BOOL    bf_Display::
        dsp_polygon(    cf_2DPoint*    a_bf_2dpStartFrom,
                        int             iNumPoints )
{
	int*			points = new int[2 * iNumPoints];
	int				i;


	//
	//	Convert array of cf_2DPoints to array of integers (x-y pairs)
	//
	for (i = 0; i < iNumPoints; i++)
	{
		points[2 * i] = a_bf_2dpStartFrom[i].x ();
		points[2 * i + 1] = a_bf_2dpStartFrom[i].y ();
	}

	zdisplay_ -> Polygon (iNumPoints, points, curr_width_, true);
	return true;
}





//
// The Chart  Framework cf_3DBitmap class
// extends the set of display-oriented calls that
// must be mapped onto the base framework's display
// functionality:
//
BOOL    bf_Display::
        dsp_bitmap( bf_2DBitmap*   /* p_bf_2dbmpUseThisBitMap */,
                    cf_2DPoint     /* bf_2dpPlaceAt */,
                    cf_2DRect      /* bf_2drSizedBy */ )
{
	return true;
}





void    bf_Display::
        dsp_getDirty( cf_2DRect&  r_bf_2drTargetRect )
{
	dsp_getVisible (r_bf_2drTargetRect);
}





//
// The bf_Chart and bf_Engine classes
// extend the set of display calls that must be mapped
// onto a base application framework:
//
void    bf_Display::
        dsp_setDirty()
{
}





void    bf_Display::
        dsp_pushFont( bf_Font * /* p_bf_fonUseThisFont */ )
{
}





bf_Font*   
        bf_Display::
        dsp_popFont()
{
	return (NULL);
}





bf_Color   
        bf_Display::
        dsp_textColor ()
{
	return (bf_Color (zdisplay_ -> Foreground ()));
}





bf_Color   
	bf_Display::
        dsp_textColor (bf_Color fg_color)
{
	zdisplay_ -> SetForeground (fg_color);
	return (fg_color);
}





bf_Color   
        bf_Display::
        dsp_backColor()
{
	return (bf_Color (zdisplay_ -> Background ()));
}





bf_Color   
	bf_Display::
        dsp_backColor (bf_Color bg_color)
{
	zdisplay_ -> SetBackground (bg_color);
	return (bg_color);
}





BOOL    
	bf_Display::
        dsp_text(   cf_2DPoint bf_2dpPutTextHere, 
                    char*       szStringAddress     )
{
	zdisplay_ -> Text (
		bf_2dpPutTextHere.x (),
		bf_2dpPutTextHere.y (),
		szStringAddress);
	return (true);
}





BOOL    bf_Display::
        dsp_text(   cf_2DPoint     bf_2dpPutTextHere, 
                    cf_String      cf_strUseThisString    )
{
	dsp_text (bf_2dpPutTextHere, (char*) cf_strUseThisString);
	return (true);
}





cf_2DRect
    bf_Display
        ::dsp_getTextRect(  cf_String string )
{
	return( dsp_getTextRect( (char*) string, string.cf_strlen() ) );
}





cf_2DRect
    bf_Display
        ::dsp_getTextRect(  char*   string,
                            int     length   )
{
	ZafRegionStruct	zrsTextRect;
	zrsTextRect.coordinateType = ZAF_PIXEL;
	zrsTextRect = zdisplay_->TextSize( string, length );
        // Which *should(?)* be more efficient than the alternative
        // (but equally valid zrsTextRect = zdisplay_->TextSize( string, -1 );
	cf_2DRect rect = cf_2DRect( 0, 0, zrsTextRect.Width(), zrsTextRect.Height() );
	return( rect );
}





//
// Polar Charts extend the call mapping even more:
//
BOOL    bf_Display::
        dsp_ellipse (cf_2DPoint upper_left, 
                     cf_2DPoint lower_right )
{
	zdisplay_ -> Ellipse (
		upper_left.x (), upper_left.y (),
		lower_right.x (), lower_right.y (),
		0, 360, curr_width_, true);
	return (true);
}





//
// As expected, Pie Charts extend the call mapping even more:
//
double
    bf_Display
        ::zz_calcAngleDegrees(  int iOriginX,
                                int iOriginY,
                                int iRadialX,
                                int iRadialY )
{
    // We'll typically compute a degree value from the X,Y-coords...
    double  dAngleInDegrees;
            // ...of two 2D-projected 3D-Point objects...

    // ...by comparing the X.Y position of the origin point to...
    double  dOriginX = (double) iOriginX;
    double  dOriginY = (double) iOriginY;

    // ...the X,Y position of the angle point, and use these vals to...
    double  dRadialX = (double) iRadialX;
    double  dRadialY = (double) iRadialY;

    // ...derive a tangent value...
    double  dAngleRise = dOriginY - dRadialY; // Note Y runs positive DOWNWARDs
    double  dAngleRun = dRadialX - dOriginX;  // and X runs positive to RIGHT.
    double  dAngleTangent;
            // ...which we use to derive a radian value...
    double  dAngleInRadians;
            // ...which we convert (and return) as degree value...

    // First -- screen to protect against div-by-zero and F.P.-overflows:
    if ( ( -1.0 < dAngleRun ) && ( dAngleRun < 1.0 ) )
        ( dAngleRise > 0.0 ? dAngleInDegrees = 90.0 : dAngleInDegrees = 270.0 );
    else
    {
        // Otherwise -- compute the VERY BASIC arc-tan angle...
        #ifdef CF_ASSERT_DVALS
        assert( fabs( dAngleRun ) > CF_NUM_ZERO_IF_LT );
        #endif
        if ( fabs( dAngleRun ) < CF_NUM_ZERO_IF_LT )
            dAngleTangent = 0.0;
        else
            dAngleTangent = ( dAngleRise / dAngleRun );

        dAngleInRadians = atan( dAngleTangent );
            // ...which is valid for Quad #1 only!  We'll have to go through
            // some pain here, because atan only returns between pi/2 and -pi/2.

        // So -- are we REALLY in Quad #1 -- or maybe?...
        if ( ( dAngleRun < 0.0 ) && ( dAngleRise > 0.0 ) )      // ...in Q2?
            dAngleInRadians = CF_PI + dAngleInRadians;
        else if ( ( dAngleRun < 0.0 ) && ( dAngleRise < 0.0 ) ) // ...or Q3?
            dAngleInRadians = CF_PI + dAngleInRadians;
        else if ( ( dAngleRun > 0.0 ) && ( dAngleRise < 0.0 ) ) // ...or Q4?
            dAngleInRadians = CF_2_PI + dAngleInRadians;

        // Now -- convert the radian value to a degree value...
        // while screening and dealing with special cases:
        if ( dAngleInRadians == 0.0 )
            // ...screen and deal with zero-tangents:
            { ( dAngleRun < 0.0 ?
                dAngleInDegrees = 180.0 : dAngleInDegrees = 0.0 ); }

        else if ( ( -1.0 <= dAngleRun ) && ( dAngleRun <= 1.0 ) )
           // deal with the lack of granularity on vertical (and all) angles!
            { ( dAngleRise > 0.0 ?
                dAngleInDegrees = 90.0 : dAngleInDegrees = 270.0 ); }

        else// ...and hoping to keep the fairly accurate angle value...
            dAngleInDegrees = dAngleInRadians * CF_180_OVER_PI;
            // ...from incorrectly rounding to an inaccurate int value!
    }

    return( dAngleInDegrees ); // as calculated (hopefully correctly!) above.

}   // end of  bf_Display::zz_calcAngleDegrees(  ... );


BOOL
    bf_Display::
    dsp_pie(    cf_2DRect  bf_2drBoundaryEllipseRect,
                cf_2DPoint bf_2dpStartArcPoint,
                cf_2DPoint bf_2dpEndArcPoint )
{
    // Avoid overhead of pulling basic info out more than once...
    int     iLeft = bf_2drBoundaryEllipseRect.left();
    int     iTop = bf_2drBoundaryEllipseRect.top();
    int     iRight = bf_2drBoundaryEllipseRect.right();
    int     iBottom = bf_2drBoundaryEllipseRect.bottom();
            // ...by paying for this info now w/ some method calls.

    // OK -- we're gonna hafta convert from 2D-Points to ANGLE
    // values.  Let's proceed by calculating a double-angle-value
    // and converting it to a ZAF-compliant int-degree-value:
    int     iCenterX = iRight - ( ( iRight - iLeft ) / 2 );
    int     iCenterY = iBottom - ( ( iBottom - iTop ) / 2 );
            // In *this* implementation, it's best to start from the bottom
            // to avoid wierdness with start angles of zero degrees!...

    // Convert the start-angle X-Y-point to an starting angle -- in DEGREES:
    int     iStartAngleInDegrees
            = (int) this->zz_calcAngleDegrees(  iCenterX, iCenterY,
                                                bf_2dpStartArcPoint.x(),
                                                bf_2dpStartArcPoint.y() );
                                                // cast to a (hopefully) usably
                                                // accurate int-degree-value
                                                // to use below!

    // Convert the end-angle X-Y-point to an ending angle -- in DEGREES:
    int     iEndAngleInDegrees
            = (int) this->zz_calcAngleDegrees(  iCenterX, iCenterY,
                                                bf_2dpEndArcPoint.x(),
                                                bf_2dpEndArcPoint.y() );
                                                // cast as per immed. above.

    // Now!  Let's shove our shiny fresh angle values in a ZAF ellipse call!
	zdisplay_->Ellipse( iLeft, iTop, iRight, iBottom,
		                iStartAngleInDegrees, iEndAngleInDegrees,
                        curr_width_, true );  // true ==> FILLED pie-slice
                        // ... and see what comes out!
	return (true);
}





BOOL
    bf_Display::
    dsp_arc(    cf_2DRect  bf_2drBoundaryEllipseRect,
                cf_2DPoint bf_2dpStartArcPoint,
                cf_2DPoint bf_2dpEndArcPoint )
{
    // Avoid overhead of pulling basic info out more than once...
    int     iLeft = bf_2drBoundaryEllipseRect.left();
    int     iTop = bf_2drBoundaryEllipseRect.top();
    int     iRight = bf_2drBoundaryEllipseRect.right();
    int     iBottom = bf_2drBoundaryEllipseRect.bottom();
            // ...by paying for this info now w/ some method calls.

    // OK -- we're gonna hafta convert from 2D-Points to ANGLE
    // values.  Let's proceed by calculating a double-angle-value
    // and converting it to a ZAF-compliant int-degree-value:
    int     iCenterX = iRight - ( ( iRight - iLeft ) / 2 );
    int     iCenterY = iBottom - ( ( iBottom - iTop ) / 2 );
            // In *this* implementation, it's best to start from the bottom
            // to avoid wierdness with start angles of zero degrees!...

    // Convert the start-angle X-Y-point to an starting angle -- in DEGREES:
    int     iStartAngleInDegrees
            = (int) this->zz_calcAngleDegrees(  iCenterX, iCenterY,
                                                bf_2dpStartArcPoint.x(),
                                                bf_2dpStartArcPoint.y() );
                                                // cast to a (hopefully) usably
                                                // accurate int-degree-value
                                                // to use below!

    // Convert the end-angle X-Y-point to an ending angle -- in DEGREES:
    int     iEndAngleInDegrees
            = (int) this->zz_calcAngleDegrees(  iCenterX, iCenterY,
                                                bf_2dpEndArcPoint.x(),
                                                bf_2dpEndArcPoint.y() );
                                                // cast as per immed. above.

    // Now!  Let's shove our shiny fresh angle values in a ZAF ellipse call!
	zdisplay_->Ellipse( iLeft, iTop, iRight, iBottom,
		                iStartAngleInDegrees, iEndAngleInDegrees,
                        curr_width_, false );  // false ==> EMPTY arc
                        // ... and see what comes out!
	return (true);
}





//
// Pie slices need to set their pen style
// to be "transparent" when they draw their
// front-facing slice face wall, and
// then set things back to normal...
//
void
    bf_Display::
    dsp_drawModeSolid()
{
	zdisplay_ -> SetMode (ZAF_MODE_COPY);  // ### transparent?
}





void
    bf_Display::
    dsp_drawModeTransparent()
{
	zdisplay_ -> SetMode (ZAF_MODE_XOR);  // ### transparent?
}





//
// Chart Controls and Chart Dialogs also extend the call mapping
// when they draw lines and/or rectangular borders on controls:
//
BOOL
    bf_Display
        ::dsp_rectangle (cf_2DRect rect)
{
	zdisplay_ -> Rectangle (
			rect.left (),
			rect.top (),
			rect.right(),
			rect.bottom (),
			curr_width_);
	return (true);
}




    
BOOL
    bf_Display
        ::dsp_polyline (cf_2DRect  rect)
{
	zdisplay_ -> Line (
			rect.left (), rect.top (),
			rect.right(), rect.top (),
			curr_width_
			);
	zdisplay_ -> Line (
			rect.right(), rect.top (),
			rect.right(), rect.bottom (),
			curr_width_
			);
	zdisplay_ -> Line (
			rect.right(), rect.bottom (),
			rect.left (), rect.bottom (),
			curr_width_
			);
	zdisplay_ -> Line (
			rect.left (), rect.bottom (),
			rect.left (), rect.top (),
			curr_width_
			);
	return (true);
}





void
	bf_Display
		::setBrushAttributes (bf_Brush* brush)
{
	zdisplay_ -> SetBackground (brush -> getColor ());
}




//
void
	bf_Display
		::setPenAttributes( bf_Pen* pen)
{
	zdisplay_ -> SetForeground( pen -> getColor() );
	zdisplay_ -> SetLineStyle( (ZafLogicalLineStyle) pen->getPenStyle() );
	curr_width_ = pen->getWidth();
}




//
// End of bf_Display Pseudo-Implementation/Mapping.
//

//////////////////////////////////////
// END of File: B0_DSPLA.CPP
//////////////////////////////////////




