## ----- Install options -----
CC = xlC
LINK = xlC
CC_FLAGS = -D_IBM_RS6000 -g
LINK_FLAGS =  -g
CPP_EXTENSION = .cpp
LIB_EXTENSION = .a
INCLUDE_DIRS = 
LIB_DIRS = 
GUI_LIBS = -lXpm -lXm -lXt -lX11
LIBS = -lm
LIBRARIAN = ar
AR_FLAGS = r
RANLIB = 
SHARED_LINK = xlC
SHARED_LINK_FLAGS = 
SHARED_LIB_EXTENSION = .so

## ----- General options -----
ZAF_INC_DIR = ../../include
ZAF_LIB_DIR = ../../lib
CHART_INC_DIR = ../include
CHART_MTF_LIB = CfChart
CHART_LIB_NAME = lib$(CHART_MTF_LIB)$(LIB_EXTENSION)
Z_INCLUDE_DIRS = -I$(ZAF_INC_DIR) $(INCLUDE_DIRS) -I$(CHART_INC_DIR)

.SUFFIXES:
.SUFFIXES: .o $(CPP_EXTENSION)

$(CPP_EXTENSION).o:
	$(CC) $(CC_FLAGS) $(Z_INCLUDE_DIRS) -c $<

## ----- Object files -----
CF_OBJS = bz_zcht.o \
	c0_dystr.o \
	c0_dyarr.o \
	c0_stack.o \
	b0_color.o \
	b0_dspla.o \
	b0_dsbmp.o \
	b0_fonts.o \
	c0_dimen.o \
	c0_datb.o \
	c0_tatb.o \
	c1_xyz.o \
	c1_dgrou.o \
	c1_kernl.o \
	c2_kernl.o \
	c1_vobj.o \
	co1_poin.o \
	co1_pser.o \
	co1_plin.o \
	co1_pgon.o \
	co1_tmar.o \
	co1_tlin.o \
	co1_gts.o \
	co1_tms.o \
	co1_cbmp.o \
	co2_cbmp.o \
	c1_engin.o \
	c1_cmodl.o \
	c2_cmodl.o \
	b1_cview.o \
	ce1_pcor.o \
	ce1_ccor.o \
	ce2_pie.o \
	ce2_pser.o \
	ce2_line.o \
	ce2_area.o \
	ce2_bar.o \
	ce2_colm.o \
	ce2_stac.o


## ----- Program -----

chart:	$(CHART_LIB_NAME)

clean: 
	-rm -f *.o core $(CHART_LIB_NAME)

## ----- Libraries -----

$(CHART_LIB_NAME): \
	$(CF_OBJS)
	$(LIBRARIAN) $(AR_FLAGS) $@ $?
	$(RANLIB)
	cp $(CHART_LIB_NAME) $(ZAF_LIB_DIR)
