#
# General
#
DEBUG=off

# Check for CF_ZAF
!ifndef CF_ZAF
!error "CF_ZAF" not defined
!endif

#
# ----- Source Files --------------------------------------------------------
#
SOURCE_FILES=\
$(CF_ZAF)\src\bz_zcht.cpp \
$(CF_ZAF)\src\c0_dystr.cpp \
$(CF_ZAF)\src\c0_dyarr.cpp \
$(CF_ZAF)\src\c0_stack.cpp \
$(CF_ZAF)\src\b0_color.cpp \
$(CF_ZAF)\src\b0_dspla.cpp \
$(CF_ZAF)\src\b0_dsbmp.cpp \
$(CF_ZAF)\src\b0_fonts.cpp \
$(CF_ZAF)\src\c0_dimen.cpp \
$(CF_ZAF)\src\c0_datb.cpp \
$(CF_ZAF)\src\c0_tatb.cpp \
$(CF_ZAF)\src\c1_xyz.cpp \
$(CF_ZAF)\src\c1_dgrou.cpp \
$(CF_ZAF)\src\c1_kernl.cpp \
$(CF_ZAF)\src\c2_kernl.cpp \
$(CF_ZAF)\src\c1_vobj.cpp \
$(CF_ZAF)\src\co1_poin.cpp \
$(CF_ZAF)\src\co1_pser.cpp \
$(CF_ZAF)\src\co1_plin.cpp \
$(CF_ZAF)\src\co1_pgon.cpp \
$(CF_ZAF)\src\co1_tmar.cpp \
$(CF_ZAF)\src\co1_tlin.cpp \
$(CF_ZAF)\src\co1_gts.cpp \
$(CF_ZAF)\src\co1_tms.cpp \
$(CF_ZAF)\src\co1_cbmp.cpp \
$(CF_ZAF)\src\co2_cbmp.cpp \
$(CF_ZAF)\src\c1_engin.cpp \
$(CF_ZAF)\src\c1_cmodl.cpp \
$(CF_ZAF)\src\c2_cmodl.cpp \
$(CF_ZAF)\src\b1_cview.cpp \
$(CF_ZAF)\src\ce1_pcor.cpp \
$(CF_ZAF)\src\ce1_ccor.cpp \
$(CF_ZAF)\src\ce2_pie.cpp \
$(CF_ZAF)\src\ce2_pser.cpp \
$(CF_ZAF)\src\ce2_line.cpp \
$(CF_ZAF)\src\ce2_area.cpp \
$(CF_ZAF)\src\ce2_bar.cpp \
$(CF_ZAF)\src\ce2_colm.cpp \
$(CF_ZAF)\src\ce2_stac.cpp

#
# ----- Usage ---------------------------------------------------------------
#
usage:
	@type <<

Usage:

zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll's)
<<

#
# ----- Platforms -----------------------------------------------------------
#
!if "$(ZINC_COMPILER)" == "MICROSOFT"
LIB_DIR=microsft
!else
LIB_DIR=$(ZINC_COMPILER)
!endif

win16: cfzw16.lib
	copy cfzw16.lib $(ZAF_ROOT)\lib\$(LIB_DIR)

win32: cfzw32.lib
	copy cfzw32.lib $(ZAF_ROOT)\lib\$(LIB_DIR)

win32dll: cfzw32.dll
	copy cfzw32.dll $(ZAF_ROOT)\lib\$(LIB_DIR)
	copy cfzw32i.lib $(ZAF_ROOT)\lib\$(LIB_DIR)

#
# ----- Targets -------------------------------------------------------------
#
TARGET=cfzw16.lib
TARGET_TYPE=lib
PLATFORM=win16
!include <zaf.mak>

TARGET=cfzw32.lib
TARGET_TYPE=lib
PLATFORM=win32
!include <zaf.mak>

TARGET=cfzw32.dll
TARGET_TYPE=libdll
PLATFORM=win32
IMPORT_LIBRARY=zcfw32i.lib
!include <zaf.mak>
