# ----- General -------------------------------------------------------------
DEBUG=off

# ----- Usage ---------------------------------------------------------------
usage:
	type <<

zmake dos16      (16 bit DOS with Pharlap)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
<<


# ----- Clean ---------------------------------------------------------------
clean:
	z_clean


# ----- Platforms -----------------------------------------------------------
dos16: event116.exe event216.exe

win16: wevt116.exe wevt216.exe

win32: wevt132.exe wevt232.exe

win32dll: wevent1.exe wevent2.exe

# ----- Targets ---------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

#
# Build Options for event116.exe
#
TARGET=event116.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
SOURCE_FILES=event1.cpp eventwn1.cpp
!include <zaf.mak>

#
# Build Options for wevt116.exe
#
TARGET=wevt116.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=wtest16.def
SOURCE_FILES=event1.cpp eventwn1.cpp
!include <zaf.mak>

#
# Build Options for wevt132.exe
#
TARGET=wevt132.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
SOURCE_FILES=event1.cpp eventwn1.cpp
!include <zaf.mak>

#
# Build Options for wevent1.exe
#
TARGET=wevent1.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
ADD_LIBRARIES=
DEFINITION_FILE=
SOURCE_FILES=event1.cpp eventwn1.cpp
!include <zaf.mak>

#
# Build Options for event216.exe
#
TARGET=event216.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
SOURCE_FILES=event2.cpp eventwn2.cpp
!include <zaf.mak>

#
# Build Options for wevt216.exe
#
TARGET=wevt216.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=wtest16.def
SOURCE_FILES=event2.cpp eventwn2.cpp
!include <zaf.mak>

#
# Build Options for wevt232.exe
#
TARGET=wevt232.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
SOURCE_FILES=event2.cpp eventwn2.cpp
!include <zaf.mak>

#
# Build Options for wevent2.exe
#
TARGET=wevent2.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
ADD_LIBRARIES=
DEFINITION_FILE=
SOURCE_FILES=event2.cpp eventwn2.cpp
!include <zaf.mak>

