!ifndef IMPLICIT_RULES_DEFINED
IMPLICIT_RULES_DEFINED=
#
# Impicit rules for building object files.
#
.cpp.ob1:
	$(W16_COMPILER) $(W16_COMPILE_OPTIONS) $(DEBUG_COMPILE_OPTIONS) -fo=$*.ob1 $<

.cpp.obw:
	$(W32_COMPILER) $(W32_COMPILE_OPTIONS) $(DEBUG_COMPILE_OPTIONS) -fo=$*.obw $<

.cpp.obx:
	$(W32_COMPILER) $(W32_DLL_EXPORT_COMPILE_OPTIONS) $(DEBUG_COMPILE_OPTIONS) -fo=$*.obx $<

.cpp.obi:
	$(W32_COMPILER) $(W32_DLL_IMPORT_COMPILE_OPTIONS) $(DEBUG_COMPILE_OPTIONS) -fo=$*.obi $<

.rc.r16:
	$(W16_RESOURCE_COMPILER) $(W16_RESOURCE_OPTIONS) -r -fo$*.r16 $<

.rc.res:
	$(W32_RESOURCE_COMPILER) $(W32_RESOURCE_OPTIONS) -r $<
!endif

OBJECT_FILES_LINK=$(OBJECT_FILES_LINK: =, )
OBJECT_FILES_LIB=$(OBJECT_FILES_LIB: = +)
LIBRARIES_LINK=$(LIBRARIES: =, )

#
# Explicit rule for building executables.
#
!if "$(TARGET_TYPE)" == "EXE" || "$(TARGET_TYPE)" == "EXEDLL"
$(TARGET): $(DEPENDENCY_FILES) $(RES_FILE)
	$(LINKER) $(LINK_OPTIONS) @<<
N $< F $(OBJECT_FILES_LINK) L $(LIBRARIES_LINK)
<<
!endif

#
# Explicit rule for building DLL's
#
!if "$(TARGET_TYPE)" == "DLL"
$(TARGET): $(DEPENDENCY_FILES) $(RES_FILE)
	$(LINKER) N $< $(LINK_OPTIONS) libr $(LIBRARIES_LINK) @<<
File $(OBJECT_FILES_LINK)
<<
	-@del $(IMPORT_LIBRARY)
	$(LIBRARIAN) -n -b zafw32i.lib +zafw32.dll
!endif

#
# Explicit rule for building libraries.
#
!if "$(TARGET_TYPE)" == "LIB" || "$(TARGET_TYPE)" == "LIBDLL"
$(TARGET): $(DEPENDENCY_FILES)
	-@del $(TARGET)
	$(LIBRARIAN) $(LIBRARY_OPTIONS) $(TARGET) @<<
+$(OBJECT_FILES_LIB)
<<
!endif

